package com.ylx.attendanceconfig.service;

import com.ylx.attendanceconfig.domain.dto.AttendanceRuleAddDTO;
import com.ylx.attendanceconfig.domain.vo.AttendanceRuleDetailVO;

import java.util.List;

public interface AttendanceConfigService {

    void addAttendanceRule(AttendanceRuleAddDTO dto);

    List<AttendanceRuleDetailVO> listAttendanceRules();

    void deleteAttendanceRule(Long id);

    void deleteDeductionRule(Long id);
}
